=== debian/changelog ===
petsc (3.19.6+dfsg1-2.2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:45:22 +0000

petsc (3.19.6+dfsg1-2.2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Mar 2024 09:20:10 +0100

petsc (3.19.6+dfsg1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix extraneous X-Time64-Compat declarations.
  * Fix substitution of soname in maintainer scripts.  Closes: #1065217.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Mar 2024 21:40:10 +0000

petsc (3.19.6+dfsg1-2.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Mar 2024 12:16:48 +0100

petsc (3.19.6+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064332

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 20:22:10 +0000

petsc (3.19.6+dfsg1-2ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jan 2024 08:53:48 +0100

petsc (3.19.6+dfsg1-2) unstable; urgency=medium

  * Update debian/patches/soname_extension to also add a define PETSC_LIB_EXT,
    and use it when determining the name of the dynamic library to be loaded
    with -library_preload.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 21 Jan 2024 06:41:21 +0000

petsc (3.19.6+dfsg1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 24 Dec 2023 09:35:58 +0100

petsc (3.19.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patches fix_check_error_MR6616.diff and
      pkgdir_not_petscdir_PR6434.diff
  * dh_clean: remove pycache generated in lib/petsc/bin.
    Closes: #1045544.

 -- Drew Parsons <dparsons@debian.org>  Thu, 21 Dec 2023 10:05:19 +0100

petsc (3.19.2+dfsg1-1exp2) experimental; urgency=medium

  * debian patch pkgdir_not_petscdir_PR6434.diff applies upstream
    PR6434 to fix SLEPc build.

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Jul 2023 12:57:51 +0200

petsc (3.19.2+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - new ABI 3.19
  * debian patch fix_check_error_MR6616.diff applies upstream MR6616
    to fix problems with new handling of errors when running tests
  * Use language_data.js from libjs-sphinxdoc with docs

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Jun 2023 16:17:08 +0200

petsc (3.18.6+dfsg1-1ubuntu3) noble; urgency=medium

  * Rebuild against new libcholmod5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 17:47:49 +0100

petsc (3.18.6+dfsg1-1ubuntu2) noble; urgency=medium

  * Rebuild against new libspqr4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2023 10:49:22 +0200
