=== debian/tests/control ===
Tests: test-petsc-common, test-petsc-complex
 test-petsc64, test-petsc64-complex
Depends: @, @builddeps@
