## petsc 3.20.6+dfsg1

=== debian/changelog ===
petsc (3.20.6+dfsg1-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 May 2024 10:01:06 +0200

petsc (3.19.6+dfsg1-2.2ubuntu3) oracular; urgency=medium

  * Rebuild against new libhypre-2.29.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 May 2024 08:34:10 +0200
