=== debian/rules ===
--- 
+++ 
@@ -94,39 +94,34 @@
 # /usr/lib/petscdir subdirectory names.
 export PETSC_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)$(PETSC_EXT)
 # use only major.minor as general soname (rather than major.minor.patch.build)
-export PETSC_SONAMEISH_VERSION=$(shell echo $(PETSC_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')
-export PETSC_SONAME_VERSION=$(PETSC_SONAMEISH_VERSION)t64
+export PETSC_SONAME_VERSION=$(shell echo $(PETSC_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')
 
 # PETSC_NAME is the install dir under /usr/lib and the base for package names
-PETSC_NAME=petsc$(PETSC_SONAMEISH_VERSION)
+PETSC_NAME=petsc$(PETSC_SONAME_VERSION)
 PETSC_REAL_SONAME=petsc-real$(PETSC_SONAME_VERSION)
-PETSC_REALISH_SONAME=petsc-real$(PETSC_SONAMEISH_VERSION)
 PETSC_COMPLEX_SONAME=petsc-complex$(PETSC_SONAME_VERSION)
-PETSC_COMPLEXISH_SONAME=petsc-complex$(PETSC_SONAMEISH_VERSION)
 
-PETSC64_NAME=petsc64-$(PETSC_SONAMEISH_VERSION)
+PETSC64_NAME=petsc64-$(PETSC_SONAME_VERSION)
 PETSC64_REAL_SONAME=petsc64-real$(PETSC_SONAME_VERSION)
-PETSC64_REALISH_SONAME=petsc64-real$(PETSC_SONAMEISH_VERSION)
 PETSC64_COMPLEX_SONAME=petsc64-complex$(PETSC_SONAME_VERSION)
-PETSC64_COMPLEXISH_SONAME=petsc64-complex$(PETSC_SONAMEISH_VERSION)
 
 # debian binary package names
-PETSC_REAL_DEV_PACKAGE=lib$(PETSC_REALISH_SONAME)-dev
+PETSC_REAL_DEV_PACKAGE=lib$(PETSC_REAL_SONAME)-dev
 PETSC_REAL_PACKAGE=lib$(PETSC_REAL_SONAME)
 PETSC_REAL_DEBUG_PACKAGE=lib$(PETSC_REAL_SONAME)-dbg
-PETSC_COMPLEX_DEV_PACKAGE=lib$(PETSC_COMPLEXISH_SONAME)-dev
+PETSC_COMPLEX_DEV_PACKAGE=lib$(PETSC_COMPLEX_SONAME)-dev
 PETSC_COMPLEX_PACKAGE=lib$(PETSC_COMPLEX_SONAME)
 PETSC_COMPLEX_DEBUG_PACKAGE=lib$(PETSC_COMPLEX_SONAME)-dbg
 
-PETSC64_REAL_DEV_PACKAGE=lib$(PETSC64_REALISH_SONAME)-dev
+PETSC64_REAL_DEV_PACKAGE=lib$(PETSC64_REAL_SONAME)-dev
 PETSC64_REAL_PACKAGE=lib$(PETSC64_REAL_SONAME)
 PETSC64_REAL_DEBUG_PACKAGE=lib$(PETSC64_REAL_SONAME)-dbg
-PETSC64_COMPLEX_DEV_PACKAGE=lib$(PETSC64_COMPLEXISH_SONAME)-dev
+PETSC64_COMPLEX_DEV_PACKAGE=lib$(PETSC64_COMPLEX_SONAME)-dev
 PETSC64_COMPLEX_PACKAGE=lib$(PETSC64_COMPLEX_SONAME)
 PETSC64_COMPLEX_DEBUG_PACKAGE=lib$(PETSC64_COMPLEX_SONAME)-dbg
 
 PETSC_DEV_COMMON_PACKAGE=lib$(PETSC_NAME)-dev-common
-export PETSC_DOC_PACKAGE=petsc$(PETSC_SONAMEISH_VERSION)-doc
+export PETSC_DOC_PACKAGE=petsc$(PETSC_SONAME_VERSION)-doc
 export PETSC_DEV_EXAMPLE_PACKAGE=lib$(PETSC_NAME)-dev-examples
 
 # install into /usr/lib/petscdir rather than /usr/lib/petsc
@@ -153,3 +148,9 @@
 
 PETSC64_CONFIG=--with-64-bit-indices
 
+CONFIGURATION_OPTIONS=--with-shared-libraries --with-pic=1 \
+	  --with-cc=mpicc --with-cxx=mpicxx --with-fc=mpif90 \
+	  --with-cxx-dialect=C++11 \
+	  --with-opencl=1 \
+	  --with-blas-lib=-lblas --with-lapack-lib=-llapack \
+	  --with-scalapack=1 --with-scalapack-lib=-lscalapack-$(PETSC_MPI) \
