## petsc 3.21.6+dfsg1

=== debian/changelog ===
petsc (3.21.6+dfsg1-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for libsuperlu7

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 04 Nov 2024 15:17:00 +0000

petsc (3.21.6+dfsg1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Nov 2024 15:40:36 +0100

petsc (3.21.6+dfsg1-2) unstable; urgency=medium

  * Add Francesco Ballarin to uploaders
  * Revert setting tight dev package dependency on MPI version.
    Instead, simply list mpi-default-dev as Build-Depends and Depends.
    Bug #828987 in July 2016 (version 3.6.4.dfsg1-3) forced us
    to define a control variable ${MPI:Depends} to automatically
    set up a string like
        libopenmpi-dev (>= 1.10.3), libopenmpi-dev (<< 1.10.4)
    and use it in override_dh_gencontrol.
    However, such a tight dependency control is unnecessary nowadays,
    since OpenMPI 5 guarantees ABI compatibility.
    Closes: #1085405
  * Temporarily drop Build-Depends and Depends on libtrilinos-ml-dev and
    libtrilinos-zoltan-dev while trilinos gets rebuilt against OpenMPI 5.
    This change will be reverted in a future upload.
  * Build-Depends: increment mpi-default-dev lower bound to >= 1.17 to prevent
    this package from being accidentally built against OpenMPI 4.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 20 Oct 2024 10:17:39 +0000

petsc (3.21.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.  Upload for Transition #1082552.

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Oct 2024 23:54:39 +0200

petsc (3.21.4+dfsg1-1exp2) experimental; urgency=medium

  * debian patch fix_build_tests_MR7789.patch applies upstream MR#7789
    to reenable build tests. Closes: #1079566.

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Aug 2024 16:22:03 +0200

petsc (3.21.4+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.21.
  * add docs/petsc4py to Files-Excluded in debian/copyright
  * debian/copyright: drop systems/Apple/* from excluded files
    (no longer shipped in upstream tarball)
  * disable build-time tests on all arches. See Bug#1079566
    and https://gitlab.com/petsc/petsc/-/issues/1634

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Aug 2024 18:22:02 +0200

petsc (3.20.6+dfsg1-3ubuntu3) oracular; urgency=medium

  * No-change rebuild against mpi-defaults 1.17

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 21 Sep 2024 14:51:30 +0000

petsc (3.20.6+dfsg1-3ubuntu2) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Aug 2024 14:34:09 +0200
