=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: petsc
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Drew Parsons <dparsons@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders:
+ "Adam C. Powell, IV" <hazelsct@debian.org>,
+ Drew Parsons <dparsons@debian.org>,
+ Francesco Ballarin <francesco.ballarin@unicatt.it>
 Standards-Version: 4.7.0
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), python3, gfortran,
  pkgconf, dh-python,
  dh-fortran-mod,
  gdb,
- mpi-default-dev (>= 1.0.2),
+ mpi-default-dev (>= 1.17),
  ocl-icd-opencl-dev | opencl-dev,
  libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
  liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
@@ -22,8 +24,6 @@
  libmumps-dev (>= 5.2.1~), libmumps64-dev,
  libfftw3-dev, libfftw3-mpi-dev, libssl-dev,
  libsuperlu-dev (>= 5.2.1), libsuperlu-dist-dev (>= 6.1.1),
- libtrilinos-ml-dev [amd64 arm64 ppc64el s390x ppc64],
- libtrilinos-zoltan-dev [amd64 arm64 ppc64el s390x ppc64],
  libx11-dev,
  libyaml-dev,
  valgrind-mpi [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
@@ -55,7 +55,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
-Depends: libpetsc-real3.20-dev, ${misc:Depends}
+Depends: libpetsc-real3.21-dev, ${misc:Depends}
 Description: Virtual package depending on latest PETSc development package
  PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
  of data structures and routines for the scalable (parallel) solution of
@@ -71,7 +71,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
-Depends: libpetsc-complex3.20-dev, ${misc:Depends}
+Depends: libpetsc-complex3.21-dev, ${misc:Depends}
 Description: Virtual package depending on latest PETSc development package
  PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
  of data structures and routines for the scalable (parallel) solution of
@@ -83,25 +83,23 @@
  This is a dummy package which depends on the most recent version of
  libpetsc-complexX-dev with complex number support (X=version).
 
-Package: libpetsc-real3.20-dev
-Multi-Arch: same
-Architecture: any
-Section: libdevel
-Depends: libpetsc-real3.20 (= ${binary:Version}),
- libpetsc3.20-dev-common (= ${source:Version}),
- ${MPI:Depends},
+Package: libpetsc-real3.21-dev
+Multi-Arch: same
+Architecture: any
+Section: libdevel
+Depends: libpetsc-real3.21 (= ${binary:Version}),
+ libpetsc3.21-dev-common (= ${source:Version}),
+ mpi-default-dev,
  libhypre-dev (>= 2.15.1),
  libmumps-dev,
- libtrilinos-ml-dev [amd64 arm64 ppc64el s390x ppc64],
- libtrilinos-zoltan-dev [amd64 arm64 ppc64el s390x ppc64],
  gfortran,
  valgrind-mpi [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
  ${misc:Depends}, ${fortran:Depends},
  python3, ${python3:Depends}
 Conflicts: libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2),
  libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
-Recommends: libpetsc3.20-dev-examples, ksh | mksh | pdksh | zsh
-Suggests: petsc-dev, libpetsc-real3.20-dbg (= ${binary:Version}), petsc3.20-doc, libluminate-dev
+Recommends: libpetsc3.21-dev-examples, ksh | mksh | pdksh | zsh
+Suggests: petsc-dev, libpetsc-real3.21-dbg (= ${binary:Version}), petsc3.21-doc, libluminate-dev
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -112,32 +110,32 @@
  features of the PETSc libraries.
  .
  This package provides the development files for building applications
- using PETSc 3.20 with real numbers.
-
-Package: libpetsc-real3.20
+ using PETSc 3.21 with real numbers.
+
+Package: libpetsc-real3.21
 Architecture: any
 Multi-Arch: same
 Section: libs
-Provides: libpetsc3.20, ${t64:Provides}
+Provides: libpetsc3.21, ${t64:Provides}
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpetsc3.6 (<< 3.6.2.dfsg1-4)
 Breaks: libpetsc-real3.10, libslepc-real3.10, libpetsc3.10-dev-common, libpetsc3.10-dev-examples
 Replaces: libpetsc3.6 (<< 3.6.2.dfsg1-4)
-Description: Shared libraries for version 3.20 of PETSc
- PETSc is the "Portable Extensible Toolkit for Scientific
- Computation", a suite of data structures and routines for the
- scalable (parallel) solution of scientific applications modeled by
- partial differential equations.  It employs the MPI standard for all
- message-passing communication.  Several sample scientific
- applications, as well as various papers and talks, demonstrate the
- features of the PETSc libraries.
- .
- This package contains the PETSc 3.20 shared library for real numbers.
- .
- It provides soname libpetsc-real3.20
-
-Package: libpetsc3.20-dev-common
+Description: Shared libraries for version 3.21 of PETSc
+ PETSc is the "Portable Extensible Toolkit for Scientific
+ Computation", a suite of data structures and routines for the
+ scalable (parallel) solution of scientific applications modeled by
+ partial differential equations.  It employs the MPI standard for all
+ message-passing communication.  Several sample scientific
+ applications, as well as various papers and talks, demonstrate the
+ features of the PETSc libraries.
+ .
+ This package contains the PETSc 3.21 shared library for real numbers.
+ .
+ It provides soname libpetsc-real3.21
+
+Package: libpetsc3.21-dev-common
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
@@ -155,7 +153,7 @@
  libyaml-dev,
  ${misc:Depends}, ${python3:Depends},
  ${sphinxdoc:Depends}
-Recommends: libpetsc-real3.20-dev | libpetsc-complex3.20-dev
+Recommends: libpetsc-real3.21-dev | libpetsc-complex3.21-dev
 Description: Common header and support dev files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -166,17 +164,17 @@
  features of the PETSc libraries.
  .
  This package provides header and other support files common to the
- various dev packages (with real or complex number support) for PETSc 3.20.
-
-Package: libpetsc3.20-dev-examples
+ various dev packages (with real or complex number support) for PETSc 3.21.
+
+Package: libpetsc3.21-dev-examples
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends}, ${python3:Depends},
  libjs-mathjax
 Recommends: ksh | mksh | pdksh | zsh,
- libpetsc-real3.20-dev | libpetsc-complex3.20-dev | libpetsc-real3.20-dbg | libpetsc-complex3.20-dbg
-Suggests: petsc3.20-doc
+ libpetsc-real3.21-dev | libpetsc-complex3.21-dev | libpetsc-real3.21-dbg | libpetsc-complex3.21-dbg
+Suggests: petsc3.21-doc
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -186,21 +184,19 @@
  applications, as well as various papers and talks, demonstrate the
  features of the PETSc libraries.
  .
- This package provides example, test, and tutorial scripts for PETSc 3.20.
-
-Package: libpetsc-real3.20-dbg
+ This package provides example, test, and tutorial scripts for PETSc 3.21.
+
+Package: libpetsc-real3.21-dbg
 Architecture: any
 Multi-Arch: same
 Section: debug
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpetsc-real3.20-dev (= ${binary:Version}),
- libpetsc3.20-dev-common (= ${source:Version}),
- libtrilinos-ml-dev [amd64 arm64 ppc64el s390x ppc64],
- libtrilinos-zoltan-dev [amd64 arm64 ppc64el s390x ppc64],
+Depends: libpetsc-real3.21-dev (= ${binary:Version}),
+ libpetsc3.21-dev-common (= ${source:Version}),
  ${misc:Depends}, ${shlibs:Depends}, ${fortran:Depends},
  python3, ${python3:Depends}
-Recommends: libpetsc3.20-dev-examples, ksh | mksh | pdksh | zsh
-Provides: petsc3.20-dbg, ${t64:Provides}
+Recommends: libpetsc3.21-dev-examples, ksh | mksh | pdksh | zsh
+Provides: petsc3.21-dbg, ${t64:Provides}
 Description: Debugging libraries for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -211,17 +207,17 @@
  features of the PETSc libraries.
  .
  This package provides the development files and debugging libraries for
- debugging applications using PETSc 3.20 with real numbers.
+ debugging applications using PETSc 3.21 with real numbers.
  .
  Libraries include unstripped symbols, but this package is also built with
  internal PETSc debugging activated (--with-debugging=1).
 
-Package: petsc3.20-doc
+Package: petsc3.21-doc
 Architecture: all
 Multi-Arch: foreign
 Section: doc
 Depends: sphinx-common, libjs-sphinxdoc, ${misc:Depends}, ${sphinxdoc:Depends}
-Suggests: libpetsc-real3.20-dev (= ${binary:Version}), illuminator-doc
+Suggests: libpetsc-real3.21-dev (= ${binary:Version}), illuminator-doc
 Description: Documentation and examples for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -231,25 +227,24 @@
  applications, as well as various papers and talks, demonstrate the
  features of the PETSc libraries.
  .
- This package contains documentation for developing with PETSc 3.20.
-
-Package: libpetsc-complex3.20-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: libpetsc-complex3.20 (= ${binary:Version}),
- libpetsc3.20-dev-common (= ${source:Version}),
- ${MPI:Depends},
+ This package contains documentation for developing with PETSc 3.21.
+
+Package: libpetsc-complex3.21-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: libpetsc-complex3.21 (= ${binary:Version}),
+ libpetsc3.21-dev-common (= ${source:Version}),
+ mpi-default-dev,
  libmumps-dev,
- libtrilinos-zoltan-dev [amd64 arm64 ppc64el s390x ppc64],
  gfortran,
  valgrind-mpi [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
  ${misc:Depends}, ${fortran:Depends},
  python3, ${python3:Depends}
 Conflicts: libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2),
  libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
-Recommends: libpetsc3.20-dev-examples, ksh | mksh | pdksh | zsh
-Suggests: petsc-dev, libpetsc-complex3.20-dbg (= ${binary:Version}), petsc3.20-doc, libluminate-dev
+Recommends: libpetsc3.21-dev-examples, ksh | mksh | pdksh | zsh
+Suggests: petsc-dev, libpetsc-complex3.21-dbg (= ${binary:Version}), petsc3.21-doc, libluminate-dev
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -260,8 +255,17 @@
  features of the PETSc libraries.
  .
  This package provides the development files for building applications
- using PETSc 3.20 with support for complex numbers.
+ using PETSc 3.21 with support for complex numbers.
  .
  Note HYPRE is not supported with PETSc complex.
 
-Package: libpetsc-complex3.20
+Package: libpetsc-complex3.21
+Provides: ${t64:Provides}
+Architecture: any
+Multi-Arch: same
+Section: libs
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
+Breaks: libpetsc-complex3.10, libslepc-complex3.10, libpetsc3.10-dev-common, libpetsc3.10-dev-examples
+Replaces: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
