=== debian/rules ===
--- 
+++ 
@@ -57,13 +57,6 @@
 # available at build time.
 include /usr/share/mpi-default-dev/debian_defaults
 PETSC_MPI=$(ARCH_DEFAULT_MPI_IMPL)
-
-# PETSc has a tight dependency on the MPI minor version:
-# the Major.Minor version of the current MPI must match the one that
-# PETSc was built against, see /usr/lib/petscdir/*/x86_64-linux-gnu-real/include/petscsys.h
-# Define the required version here:
-MPI_DEPENDS=$(shell debian/extract_MPI_dependency)
-
 
 # facilitate build-time testing (invoking OpenMPI) when building in a chroot (pbuilder or sbuild)
 export OMPI_MCA_plm_rsh_agent=/bin/false
@@ -154,3 +147,12 @@
 	  --with-opencl=1 \
 	  --with-blas-lib=-lblas --with-lapack-lib=-llapack \
 	  --with-scalapack=1 --with-scalapack-lib=-lscalapack-$(PETSC_MPI) \
+	  --with-fftw=1 --with-fftw-include=[] --with-fftw-lib="-lfftw3 -lfftw3_mpi" \
+	  --with-yaml=1 \
+	  $(VALGRIND_CONFIG) \
+	  $(PETSC_HDF5_FLAGS) \
+          --CXX_LINKER_FLAGS="-Wl,--no-as-needed -Wl,-z,defs" \
+          --CC_LINKER_FLAGS="-Wl,-z,defs"
+
+
+# hypre is only supported with real numbers, not complex
